Bug 1139672 - error: Failed to connect socket to '/run/user/1000/libvirt/libvirt-sock
Summary: error: Failed to connect socket to '/run/user/1000/libvirt/libvirt-sock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-09 12:08 UTC by Vladimir Benes
Modified: 2014-09-23 04:20 UTC (History)
13 users (show)

Fixed In Version: libvirt-1.2.8-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:20:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Vladimir Benes 2014-09-09 12:08:09 UTC
Description of problem:
this is caused by lack of /run/user/1000/libvirt directory. Is libvirt the one that should create it or is it systemd's activity?

The same behaviour is from boxes and from virsh connected to user session

Version-Release number of selected component (if applicable):
systemd-215-14.fc21.x86_64
libvirt-1.2.8-1

How reproducible:
always

Steps to Reproduce:
1.reboot system
2.run virsh list

Actual results:
error: Failed to connect socket to '/run/user/1000/libvirt/libvirt-sock': No such file or directory


Expected results:
no error

Additional info:

Comment 1 Christophe Fergeau 2014-09-09 13:41:25 UTC
Should be addressed by https://www.redhat.com/archives/libvir-list/2014-September/msg00374.html

Comment 2 Fedora Update System 2014-09-15 19:57:59 UTC
libvirt-1.2.8-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libvirt-1.2.8-2.fc21

Comment 3 Fedora Update System 2014-09-16 18:43:08 UTC
Package libvirt-1.2.8-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.2.8-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10844/libvirt-1.2.8-2.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-09-17 16:09:57 UTC
libvirt-1.2.8-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libvirt-1.2.8-3.fc21

Comment 5 Fedora Update System 2014-09-18 20:49:28 UTC
libvirt-1.2.8-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libvirt-1.2.8-4.fc21

Comment 6 Fedora Update System 2014-09-23 04:20:55 UTC
libvirt-1.2.8-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.